package es.verdnatura.presentation.view.feature.pasillero.fragment

import android.content.Context
import es.verdnatura.R
import es.verdnatura.presentation.base.BaseViewModel
import es.verdnatura.presentation.view.feature.pasillero.model.PasillerosItemVO

class PasilleroViewModel(context: Context) : BaseViewModel() {
    private val _pasillerositem by lazy { ArrayList<PasillerosItemVO>() }
    val pasillerositem: List<PasillerosItemVO>
        get() = _pasillerositem

    fun inititializeDefaultData() {

        /*   _pasillerositem.add(
               PasillerosItemVO(20,
                   R.drawable.barcode_scan,
                   "Visor web",R.string.SmarttagAssociate)

          _pasillerositem.add(
                    PasillerosItemVO(20,
                        R.drawable.barcode_scan,
                        "Asociar Sacador SmartTags",R.string.SmarttagAssociate)
                )
                _pasillerositem.add(
                    PasillerosItemVO(21,
                        R.drawable.barcode,
                        "Registrar SmartTags",R.string.SmarttagRegister)
                )
              */

        //sergio para que aparezca el nuevo menu

      /*  _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_add_black_24dp,
                "Obtener colección previa", R.string.PreSacador,"Obtiene colecciones para sacar en previa"
            )
        )*/

      /*  _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_streetview_black_24dp,
                "Pre Sacador", R.string.PreSacador,"Carga un ticket de previa para sacarlo"
            )
        )*/
          _pasillerositem.add(
          PasillerosItemVO(
              7,
              R.drawable.ic_streetview_black_24dp,
              "Obtener colección previa", R.string.PreSacador,"Obtiene colecciones para sacar en previa"
          )
      )
        //precontrol
        _pasillerositem.add(
            PasillerosItemVO(7,
                R.drawable.ic_verified_user_black_24dp_selected,
                "Pre Control",R.string.precontrolprevious,"Sirve para revisar un ticket de previa"
            )
        )

        //sergio para que aparezca el nuevo menu
        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.ic_visibility_black_24dp,
                "Ver Ticket", R.string.verticket,"Muestra un ticket sin la posibilidad de modicarlo"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                0,
                R.drawable.ic_loyalty_black_24dp,
                "Consultar artículo", R.string.ConsultarArticulo,"Busca información de un ítem"
            )
        )



        _pasillerositem.add(
            PasillerosItemVO(
                6,
                R.drawable.ic_local_parking_orange_24dp,
                "Parking", R.string.Parking,"Permite aparcar tickets o carros"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                2,
                R.drawable.ic_visibility_black_24dp,
                "Buscar item", R.string.BuscarItem,"Busca donde se encuentra un ítem"
            )
        )

        //sergio: pruebas cau item buscar
        /*  _pasillerositem.add(
              PasillerosItemVO(9,
                  R.drawable.ic_visibility_black_24dp,
                  "Buscar item full",R.string.test)
          )*/

        _pasillerositem.add(
            PasillerosItemVO(
                1,
                R.drawable.ic_dashboard_black_24dp,
                "Ubicador", R.string.Ubicador,"Permite ubicar/saber los ítems de un carro"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                3,
                R.drawable.ic_spa_black_24dp,
                "Inventario", R.string.Inventario, "Visualiza que falta o está desubicado"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.worker_mistake,
                "Fallo del trabajador", R.string.workermistake,"Permite añadir fallos a un trabajador"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                10,
                R.drawable.revision_icon,
                "Histórico Shelving", R.string.itemShelvingLog,"Permite saber modificaciones de items en un carro"
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(7,
                R.drawable.ic_history_orange,
                "Log Shelving",R.string.shelvingLog,"Permite conocer los movimientos en un carro"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                22,
                R.drawable.car_info,
                "Historial del vehículo", R.string.vehiclediary,"Visualiza quien y cuando ha llevado un vehículo"
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                41,
                R.drawable.day_of_sale,
                "Día de venta", R.string.dayofSale,"Permite saber la fecha de venta de los items de un carro"
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                7,
                R.drawable.ic_baseline_all_inbox_24,
                "Reposición", R.string.reposicion,"Indica que falta reponer"
            )
        )



        _pasillerositem.add(
            PasillerosItemVO(
                4,
                R.drawable.ic_move_to_inbox_black_24dp,
                "Faltas", R.string.Faltas,"Visualiza las faltas en almacén"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                5,
                R.drawable.ic_send_black_24dp,
                "Shelving Parking", R.string.ShelvingParking,""
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                8,
                R.drawable.ic_baseline_star_24,
                "Calidad", R.string.Calidad,"Permite conocer la calidad de algunos productos por comprador"
            )
        )

    }

    fun inititializeDefaultPallet() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.pallet_shipping_selected,
                "Paletizar", R.string.PalletMake,"Permite escanear pallet para incorporarlo al sistema"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.ic_visibility_black_24dp,
                "Consultar estado expedición", R.string.ExpeditionState,"Permite conocer el estado de una expedición"
            )
        )
        _pasillerositem.add(
            PasillerosItemVO(
                40,
                R.drawable.barcode_scan,
                "Escanear expedición", R.string.ExpeditionScan,"Permite escanear expediciones que no han pasado por el sorter"
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_outline,
                "Gestión de buffers", R.string.BuffersManegement,"Se accede al menú de operaciones con los buffers del sorter"
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                33,
                R.drawable.qrcode_scan,
                "Lector Qr", R.string.QrReader,"Permite leer información en un qr"
            )
        )

    }

    fun inititializeDefaultBuffer() {

        _pasillerositem.add(
            PasillerosItemVO(
                30,
                R.drawable.buffer_empty,
                "Vaciado buffer", R.string.bufferempty, "Pone en modo vaciado un buffer"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_fill,
                "Llenado buffer", R.string.bufferfill,"Pone en modo llenado un buffer"
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                32,
                R.drawable.buffer_accumulation,
                "Acumulación buffer", R.string.bufferaccumulate,"Pone en modo acumulación un buffer"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_off,
                "Desactivado buffer", R.string.bufferoff,"Pone en modo desactivado un buffer"
            )
        )

        _pasillerositem.add(
            PasillerosItemVO(
                31,
                R.drawable.buffer_flejado,
                "Flejado buffer", R.string.bufferfstrapping,"Pone en modo flejado un buffer"
            )
        )


        _pasillerositem.add(
            PasillerosItemVO(
                45,
                R.drawable.buffer_load,
                "Cargar expedición en buffer", R.string.bufferload, "Pone en modo cargar un buffer"
            )
        )
    }

}
