package es.verdnatura.presentation.view.feature.sacador.mapper

import es.verdnatura.presentation.common.convertToDateString
import es.verdnatura.presentation.view.feature.sacador.model.CollectionVO
import java.text.SimpleDateFormat
import java.util.*
import kotlin.collections.ArrayList

fun List<CollectionVO>.toDateFormat(): ArrayList<CollectionVO> {
    val collections : ArrayList<CollectionVO> = ArrayList()
    this.forEach {
        collections.add(CollectionVO(
            collectionFk = it.collectionFk,
            created = getCalendarFromDate(it.created).convertToDateString()
        ))

    }
    return collections
}


private fun getCalendarFromDate(date:String): Calendar {
    val sdf = SimpleDateFormat("yyyy-MM-dd")
    val cal = Calendar.getInstance()
    cal.setTime(sdf.parse(date))
    return cal
}